curl --request POST \
--url https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"entryNodeId": "x",
"nodes": [
{
"id": "x",
"position": [
0,
0
],
"type": "amply",
"config": {
"operation": {
"type": "string",
"value": "string"
},
"resource": {
"type": "string",
"value": "string"
}
}
}
],
"name": "x"
}
'import requests
url = "https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows"
payload = {
"entryNodeId": "x",
"nodes": [
{
"id": "x",
"position": [0, 0],
"type": "amply",
"config": {
"operation": {
"type": "string",
"value": "string"
},
"resource": {
"type": "string",
"value": "string"
}
}
}
],
"name": "x"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entryNodeId: 'x',
nodes: [
{
id: 'x',
position: [0, 0],
type: 'amply',
config: {
operation: {type: 'string', value: 'string'},
resource: {type: 'string', value: 'string'}
}
}
],
name: 'x'
})
};
fetch('https://api.amply-app.com/v1/users/{userId}/broadcasts/{broadcastId}/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entryNodeId": "x",
"nodes": [
{
"id": "x",
"position": [
0
],
"type": "amply",
"config": {
"operation": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"resource": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"id": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"metadata": {
"filters": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
},
"filtersLogical": {
"type": "enum",
"value": "$and",
"useExpression": true,
"expression": "string"
},
"preview": true,
"cursors": {
"limit": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"skip": {
"type": "number",
"value": 0,
"useExpression": true,
"expression": "string"
},
"sort": {},
"startId": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
},
"body": {
"type": "object",
"value": [
{
"key": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
},
"value": {
"type": "string",
"value": "string",
"useExpression": true,
"expression": "string"
}
}
],
"useExpression": true,
"expression": "string"
}
},
"name": "x",
"errorBehavior": "stopWorkflow",
"onSuccess": "x",
"onError": "x"
}
],
"name": "x",
"_id": "64b7f8b6f23a4a4f3d0a9b12",
"_createdAt": "2024-01-01T00:00:00.000Z",
"description": "string",
"status": "enabled",
"trigger": {
"type": "manual"
},
"metadata": {},
"_updatedAt": "2024-01-01T00:00:00.000Z",
"_reference": "string"
}Create workflow resource
Authorizations
Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.
Path Parameters
Resource identifier.
Resource identifier.
Body
1"x"
Définition des nodes du workflow. Chaque node possède: id, position [x,y], type, config, onSuccess, onError. Les variables runtime des code nodes sont documentées dans config.code.
- amply
- http
- foreach
- auth
- if
- code
Show child attributes
Show child attributes
1"x"
"string"
enabled, disabled "enabled"
- manual
- interval
- schedule
- once
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Success
1"x"
Définition des nodes du workflow. Chaque node possède: id, position [x,y], type, config, onSuccess, onError. Les variables runtime des code nodes sont documentées dans config.code.
- amply
- http
- foreach
- auth
- if
- code
Show child attributes
Show child attributes
1"x"
"64b7f8b6f23a4a4f3d0a9b12"
"2024-01-01T00:00:00.000Z"
"string"
enabled, disabled "enabled"
- manual
- interval
- schedule
- once
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2024-01-01T00:00:00.000Z"
"string"
Was this page helpful?